# Timebanks USA Invoice Generator


This extension will generate invoices for Community Weaver 3 for a specified billing period,
automatically determining which timebanks need an invoice and calculating the amount.

The extension is licensed under [AGPL-3.0](LICENSE.txt).

## Requirements

* PHP v5.5+
* CiviCRM 5.7+

## Usage

There is no UI for now.  Instead:
* Go to **Support menu » Developer » API Explorer**.
* Set *Entity* to **Invoicegen** and *Action* to **Generate**.
* Enter a billing period in the following format: "2019-2"
 * First number is the year; second is 1 for Jan-Jun, 2 for Jul-Dec.
* Optionally, select **Add Parameter** and select a single contact ID.  If you don't, all timebanks eligible to receive an invoice in this billing period will receive one (unless it already exists).
* Press **Execute**.
